Bug 1552094 - ceph-objectstore-tool command to trim the pg log
Summary: ceph-objectstore-tool command to trim the pg log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.0
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: z2
: 3.0
Assignee: David Zafman
QA Contact: Parikshith
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1557269
TreeView+ depends on / blocked
 
Reported: 2018-03-06 13:47 UTC by Vikhyat Umrao
Modified: 2021-06-10 15:05 UTC (History)
10 users (show)

Fixed In Version: RHEL: ceph-12.2.4-2.el7cp Ubuntu: ceph_12.2.4-3redhat1
Doc Type: Bug Fix
Doc Text:
Previously, an underlying issue caused the placement group (PG) log to grow without bound in certain situations. This caused OSDs to crash and stalled startup. With this release, the "trim-pg-log" operation has been added to "ceph-objectstore-tool" to allow offline trimming of large PG logs. This restores the PG log within the designated size limits.
Clone Of:
Environment:
Last Closed: 2018-04-26 17:38:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 23242 0 None None None 2018-03-06 13:51:30 UTC
Red Hat Product Errata RHBA-2018:1259 0 None None None 2018-04-26 17:39:20 UTC

Description Vikhyat Umrao 2018-03-06 13:47:35 UTC
Description of problem:
ceph-objectstore-tool command to trim the pg log

Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 3.0 - 12.2.1-40.el7cp

Comment 1 Vikhyat Umrao 2018-03-06 13:48:29 UTC
The motive of this bug is to have a command to trim the pg log without consuming a lot of memory and CPU which makes the OSD node unstable.

Comment 15 Vikhyat Umrao 2018-03-13 14:46:48 UTC
Luminous backport:

http://tracker.ceph.com/issues/23275
https://github.com/ceph/ceph/pull/20803

Comment 45 errata-xmlrpc 2018-04-26 17:38:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1259


Note You need to log in before you can comment on or make changes to this bug.